org.springframework.data.jdbc.core.convert

## Interface JdbcTypeFactory

All Known Implementing Classes:
  DefaultJdbcTypeFactory

    public interface JdbcTypeFactory

Allows the creation of instances of database dependent types, e.g. `Array`.

Since:
  1.1
Author:
  Jens Schauder

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`Array` `createArray(Object[] value)` Converts the provided value in a `Array` instance.
`static JdbcTypeFactory` `unsupported()` An implementation used in places where a proper `JdbcTypeFactory` can not be provided but an instance needs to be provided anyway, mostly for providing backward compatibility.

### Method Detail

#### unsupported

    static JdbcTypeFactory unsupported()

An implementation used in places where a proper `JdbcTypeFactory` can not be provided but an instance needs to be provided anyway, mostly for providing backward compatibility. Calling it will result in an exception. The features normally supported by a `JdbcTypeFactory` will not work.

#### createArray

    Array createArray(Object[] value)

Converts the provided value in a `Array` instance.

Parameters:
  `value` - the value to be converted. Must not be null.
Returns:
  an `Array`. Guaranteed to be not null.